### Function

# EDataServer xml_get_node_text

since: 3.38

#### Declaration [src]

    const xmlChar*
    e_xml_get_node_text (
      const xmlNode* node
    )

#### Description [src]

Retrieves content of the `node`. If the `node` is `NULL`, then the function does nothing and returns also `NULL`.

This is similar to e_xml_dup_node_content(), except it does not allocate new memory for the string. It also doesn’t traverse the element structure, is returns the first text node’s value only. It can be used to avoid unnecessary allocations, when reading element values with a single text node as a child.

Available since: 3.38

This function is not directly available to language bindings.

#### Parameters

`node`

  Type: `xmlNode`

  An #xmlNode.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `xmlChar`

The `node` content, or `NULL`.

See: e_xml_dup_node_content().

The data is owned by the called function.
The return value can be `NULL`.